Jump to content

2 Screenshots

About This File

Description: With this simple UI mod you can switch between the OpenJK vanilla renderer and the rend2 renderer (not included). You can also configure some of the advanced features with the UI directly.

Known Bugs: This wont work in combination with other UI mods, except for other fonts, that should be fine.

Comments: This requires OpenJK and the rend2 renderer dll. You can download the latest rend2 build here: https://github.com/SomaZ/OpenJK/releases

* How to install *

Just extract the .pk3 into the GameData/base in your game directory.

THIS FILE IS NOT MADE, DISTRIBUTED, OR SUPPORTED BY ACTIVISION PUBLISHING, INC., RAVEN SOFTWARE, OR LUCASARTS ENTERTAINMENT COMPANY, LLC. ELEMENTS™ & © LUCASFILM LTD.™ & DISNEY, INC.™ AND/OR ITS LICENSORS. STAR WARS®, JEDI®, & JEDI KNIGHT® ARE REGISTERED TRADEMARKS OF LUCASFILM LTD™ AND WALT DISNEY, INC.™ STAR WARS®, JEDI®, & JEDI KNIGHT® ARE REGISTERED TRADEMARKS OF LUCASFILM LTD™ & DISNEY, INC.™


What's New in Version 1.1

Released

Added SP menu based on antireds port of the mp UI. Many thanks to antired.

Cor, Willemoes, Lwkill and 2 others like this

User Feedback

Recommended Comments

Hello, hoping for support. 

I have OpenJK Singleplayer and I have the Rend2 SP renderer dll file in my gamedata directory. I downloaded the UI mod from this page, but I'm afraid both the UI mod and trying manually give me the same problem. When I switch to Rend2, it applies the changes after the vid restart but crashes with this error message:

Trying to load "rdsp-rend2_x86_64.dll" from "D:\Program Files (x86)\Star Wars Jedi Knight - Jedi Academy\GameData"...
Mismatched REF_API_VERSION: expected 19, got 18

Link to comment
2 hours ago, Wundai said:

Hello, hoping for support. 

I have OpenJK Singleplayer and I have the Rend2 SP renderer dll file in my gamedata directory. I downloaded the UI mod from this page, but I'm afraid both the UI mod and trying manually give me the same problem. When I switch to Rend2, it applies the changes after the vid restart but crashes with this error message:

Trying to load "rdsp-rend2_x86_64.dll" from "D:\Program Files (x86)\Star Wars Jedi Knight - Jedi Academy\GameData"...
Mismatched REF_API_VERSION: expected 19, got 18

You have to replace all old OpenJK files with the new ones from my repository. The communication between the game and the renderer has changed in my latest version, so it bascially cant "talk" with the old versions of the engine.

Link to comment
On 10/22/2023 at 10:45 PM, SomaZ said:

You have to replace all old OpenJK files with the new ones from my repository. The communication between the game and the renderer has changed in my latest version, so it bascially cant "talk" with the old versions of the engine.

Thanks so much! 🙂 It works

SomaZ likes this
Link to comment

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...